Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.klomp.snark
Class PeerConnectionIn

    java.lang.Object
      org.klomp.snark.PeerConnectionIn

All Implemented Interfaces:
  Runnable

     class PeerConnectionIn

extends Object
implements Runnable

Field Summary
`(package private) long` | `lastRcvd`

Constructor Summary
`PeerConnectionIn(Peer peer, DataInputStream din)`

Method Summary
`(package private) void` | `disconnect()`
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lastRcvd

    long lastRcvd

Constructor Detail

### PeerConnectionIn

    public PeerConnectionIn(Peer peer,
                            DataInputStream din)

Method Detail

### disconnect

    void disconnect()

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD